Get list of transactions

This endpoint allows you to get a list of all transactions made in a payout from its ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/payouts/{payout_id}/transactions
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
payout_id
string

REQUIRED

Identifier of the payout for which you wish to consult the transaction, returned in the response to its creation within the "id" field
Query
status
string
Filter transactions by their operational status.
created: The transaction was created successfully.
pending: The transaction is pending and awaiting further processing.
in_process: The transaction is being processed.
Show more
limit
integer
Maximum number of transactions to return. Limit of 100 transactions.
offset
integer
Number of transactions to skip in the list.
Response parameters
paging
object
Object that contains the paging information of the transactions.
transactions
array
List of transactions made in the payout.
Errors

400Bad request. The parameters sent are not valid.

bad_request

Invalid data was sent in the request body. Try sending the request again, validating all fields.

401Unauthorized. Invalid or missing credentials.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Forbidden. You don't have permissions to access this resource.

forbidden

No permission to access the resource.

404Not found. The requested resource does not exist.

not_found

The requested resource was not found or the value sent for its identification does not exist. Validate the information sent in the parameters and try the request again.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/payouts/{payout_id}/transactions?status=created&limit=10'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "paging": {
    "limit": 100,
    "offset": 2,
    "total": 1000
  },
  "transactions": [
    {
      "id": "67890",
      "created_date": "2024-01-15T10:30:00Z",
      "last_update_date": "2024-01-15T11:00:00Z",
      "external_reference": "000197",
      "status": "created",
      "status_detail": "accredited",
      "amount": {
        "currency": "MXN",
        "value": "24.50"
      },
      "description": "Payment to seller"
    }
  ]
}